Skip to main content
GET
/
cluster
/
{clusterId}
/
events
List Cluster Kubernetes Events
curl --request GET \
  --url https://api.qovery.com/cluster/{clusterId}/events \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "created_at": "2023-11-07T05:31:56Z",
      "kind": "<string>",
      "namespace": "<string>",
      "name": "<string>",
      "reason": "<string>",
      "message": "<string>",
      "type": "<string>",
      "reporting_component": "<string>",
      "count": 123,
      "first_occurrence": "2023-11-07T05:31:56Z",
      "last_occurrence": "2023-11-07T05:31:56Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://qovery-erebe-skills.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

clusterId
string<uuid>
required

Cluster ID

Query Parameters

from_date_time
string
required

The start date time to fetch events from, following ISO-8601 format.
The + character must be escaped (%2B)

to_date_time
string
required

The end date time to fetch events from, following ISO-8601 format.
The + character must be escaped (%2B)

node_name
string

The name of the node to fetch event from

pod_name
string

The name of the pod to fetch event from

reporting_component
string

The name of the reporting component used to filter events.

Response

200 - application/json

List Cluster Kubernetes Events

results
object[]